/*      Dummy functions for Qdos port - bits we dont have implemented
        set up as fakes to get the code to compile. The intention is then
        to replace all code which calls these routines.
        This file also contains qdos specific bits of code for the additional
        functions Pbox uses
*/

#include <termios.h>
#include <csrvthg.h>
#include <string.h>
#include <stdlib.h>
#include <stdio.h>
#include <unistd.h>
#include "ftn.h"
#include "config.h"

void report_mailer(faddr *f)    /* give mailer details to server */
{
short rlen;
char *a;
char msg[40];

        if (f->point == 0)
          sprintf(msg,"mailer %d %d:%d/%d ",bbsline,f->zone,f->net,f->node);
        else
          sprintf(msg,"mailer %d %d:%d/%d.%d ",bbsline,f->zone,f->net,
                  f->node, f->point);
        a=Request ("pbox", msg, strlen(msg), &rlen);
        free(a);
}

/* call tossmail to process any _pkt files received in case there are
   special netmail messahes present, eg messages to AreaMgr */
void tossmail(void)
{
short rlen;
char *a;
char msg[10];
long ferr;

        a=Request ("pbox", "sysvar tossmail_prg", 19, &rlen);

        if ((*a != '\0') && (*a != '-') && (a != NULL))
        {
          *(a+rlen) = '\0';
          sprintf(msg,"%d pkt",bbsline);
          ferr = execl(a, (int *)-1L, a, msg, NULL);
  /*        if (ferr) */
            loginf("Tossmail (%s), exit code %lu",a,ferr);
        }
        if (a != NULL)
          free(a);
}

int tcgetattr(int _filedes,struct termios *_termios_p)
{                               /* used in openport_c */
return(0);
}


int tcsetattr(int _filedes,int _opt_actions,struct termios *_termios_p)
{
  return(0);                    /* used in openport_c */
}


speed_t cfgetospeed(struct termios *_termios_p)
{
  return(0);                    /* used in openport_c */
}


int cfsetospeed(struct termios *_termios_p,speed_t _speed)
{
  return(0);                    /* used in openport_c */
}


speed_t cfgetispeed(struct termios *_termios_p)
{
  return(0);                    /* used in openport_c */
}


int cfsetispeed(struct termios *_termios_p,speed_t _speed)
{
  return(0);                    /* used in openport_c */
}
